BEGIN;

DO $$
    BEGIN
        BEGIN
            ALTER TABLE sites ADD COLUMN "has_http_proxy" boolean DEFAULT false;
        EXCEPTION
            WHEN duplicate_column THEN
            --do nothing
        END;
    END;
$$;

DO $$
    BEGIN
        BEGIN
            ALTER TABLE sites ADD COLUMN "http_proxy" varchar(255) NOT NULL DEFAULT '';
        EXCEPTION
            WHEN duplicate_column THEN
            --do nothing
        END;
    END;
$$;
    
        


COMMIT;

